HistoryListNode (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history
Class HistoryListNode

    java.lang.Object
      org.maltparser.parser.history.HistoryListNode

All Implemented Interfaces:
  HistoryNode

    public class HistoryListNode

extends Object
implements HistoryNode

Author:
  Johan Hall

Constructor Summary
`HistoryListNode(HistoryNode previousNode, GuideUserAction action)`

Method Summary
`void` | `clear()`
`GuideUserAction` | `getAction()`
`int` | `getPosition()`
`HistoryNode` | `getPreviousNode()`
`void` | `setAction(GuideUserAction action)`
`void` | `setPreviousNode(HistoryNode node)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HistoryListNode

    public HistoryListNode(HistoryNode previousNode,
                           GuideUserAction action)

Method Detail

### getPreviousNode

    public HistoryNode getPreviousNode()

  Specified by:
    `getPreviousNode` in interface `HistoryNode`

### getAction

    public GuideUserAction getAction()

  Specified by:
    `getAction` in interface `HistoryNode`

### setPreviousNode

    public void setPreviousNode(HistoryNode node)

  Specified by:
    `setPreviousNode` in interface `HistoryNode`

### setAction

    public void setAction(GuideUserAction action)

  Specified by:
    `setAction` in interface `HistoryNode`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `HistoryNode`

### clear

    public void clear()
               throws MaltChainedException

  Specified by:
    `clear` in interface `HistoryNode`
  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.